Package org.springframework.cglib.transform

# Class FieldVisitorTee

java.lang.Object
org.springframework.asm.FieldVisitor
org.springframework.cglib.transform.FieldVisitorTee

public class FieldVisitorTee extends FieldVisitor

## Field Summary

### Fields inherited from class org.springframework.asm.FieldVisitor

`api, fv`

## Constructor Summary

Constructors
Constructor
Description
`FieldVisitorTee(FieldVisitor fv1, FieldVisitor fv2)`

## Method Summary

Modifier and Type
Method
Description
`AnnotationVisitor`
`visitAnnotation(String desc, boolean visible)`
Visits an annotation of the field.
`void`
`visitAttribute(Attribute attr)`
Visits a non standard attribute of the field.
`void`
`visitEnd()`
Visits the end of the field.
`AnnotationVisitor`
`visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
Visits an annotation on the type of the field.

### Methods inherited from class org.springframework.asm.FieldVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldVisitorTee

public FieldVisitorTee(FieldVisitor fv1, FieldVisitor fv2)

## Method Details

### visitAnnotation

public AnnotationVisitor visitAnnotation(String desc, boolean visible)
Description copied from class: `FieldVisitor`
Visits an annotation of the field.

Overrides:
  `visitAnnotation` in class `FieldVisitor`
Parameters:
  `desc` - the class descriptor of the annotation class.
  `visible` - true if the annotation is visible at runtime.
Returns:
  a visitor to visit the annotation values, or null if this visitor is not interested in visiting this annotation.

### visitAttribute

public void visitAttribute(Attribute attr)
Description copied from class: `FieldVisitor`
Visits a non standard attribute of the field.

Overrides:
  `visitAttribute` in class `FieldVisitor`
Parameters:
  `attr` - an attribute.

### visitEnd

public void visitEnd()
Description copied from class: `FieldVisitor`
Visits the end of the field. This method, which is the last one to be called, is used to inform the visitor that all the annotations and attributes of the field have been visited.

Overrides:
  `visitEnd` in class `FieldVisitor`

### visitTypeAnnotation

public AnnotationVisitor visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)
Description copied from class: `FieldVisitor`
Visits an annotation on the type of the field.

Overrides:
  `visitTypeAnnotation` in class `FieldVisitor`
Parameters:
  `typeRef` - a reference to the annotated type. The sort of this type reference must be `TypeReference.FIELD`. See `TypeReference`.
  `typePath` - the path to the annotated type argument, wildcard bound, array element type, or static inner type within 'typeRef'. May be null if the annotation targets 'typeRef' as a whole.
  `desc` - the class descriptor of the annotation class.
  `visible` - true if the annotation is visible at runtime.
Returns:
  a visitor to visit the annotation values, or null if this visitor is not interested in visiting this annotation.